Revoke a subscription
curl --request DELETE \
--url https://varco-{partner}.musixmatch.com/distribution/v1/subscriptions/{musixmatch_user_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://varco-{partner}.musixmatch.com/distribution/v1/subscriptions/{musixmatch_user_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://varco-{partner}.musixmatch.com/distribution/v1/subscriptions/{musixmatch_user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "subscription revoked",
"data": {
"subscription": {
"musixmatch_user_id": "mxm:123456789012345678901",
"status": "revoked"
}
}
}{
"message": "<string>",
"data": {
"error": {
"code": "<string>",
"namespace": "<string>",
"extraData": "<unknown>"
}
}
}{
"message": "<string>",
"data": {
"error": {
"code": "<string>",
"namespace": "<string>",
"extraData": "<unknown>"
}
}
}Subscriptions
Revoke a subscription
Removes the Musixmatch premium plan from a user when they unsubscribe on the distributor’s platform.
DELETE
/
distribution
/
v1
/
subscriptions
/
{musixmatch_user_id}
Revoke a subscription
Authorizations
Access token obtained via the Client Credentials OAuth 2.0 flow at https://connect.musixmatch.com/oauth/token
Path Parameters
The Musixmatch user ID of the user whose subscription should be revoked
Was this page helpful?
⌘I